<template>
    <el-dialog 
    title="业务类型"
    :visible.sync="showSubmitDialog"
    append-to-body
    @close="closeSubmitDialog"
    width="70%"
    >
        <el-form ref="form" :model="btmType" show-message="true" inline>
            <el-form-item label="英文名称:" label-width="100px">
                <el-input v-model="btmType.id" prefix-icon="el-icon-finished"></el-input>
            </el-form-item>
            <el-form-item label="中文名称:" label-width="100px">
                <el-input v-model="btmType.name" prefix-icon="el-icon-info"></el-input>
            </el-form-item>
            <el-form-item label="数据库表名:" label-width="100px">
                <el-input v-model="btmType.tableName" prefix-icon="el-icon-date"></el-input>
            </el-form-item>
            <el-form-item label="所属领域:" label-width="100px">
                <el-select v-model="btmType.domain" prefix-icon="el-icon-folder-opened">
                    <el-option v-for="item in domainOption"
                    :label="item"></el-option>
                </el-select>
            </el-form-item>
            <el-form-item label="版本规则:" label-width="100px">
                <el-input v-model="btmType.revisionRuleId" prefix-icon="el-icon-s-check"></el-input>
            </el-form-item>
            <el-form-item label="生命周期:" label-width="100px">
                <el-input v-model="btmType.lifeCycleId" prefix-icon="el-icon-refresh-right"></el-input>
            </el-form-item>
            <el-form-item label="视图:" label-width="100px">
                <el-input v-model="btmType.view" prefix-icon="el-icon-view"></el-input>
            </el-form-item>
            <el-form-item label="描述:" label-width="100px">
                <el-input v-model="btmType.description" 
                prefix-icon="el-icon-chat-line-square" 
                style="width:254%;"></el-input>
            </el-form-item>
        </el-form>
        <avue-crud :option="option" :data="btmType.attributes"></avue-crud>
    </el-dialog>
</template>


<script>
import { } from '@/api/omd/btmType';
import { } from '@/api/omd/OmdAttribute';
export default {
    name: 'BusinessAdd',
    props: {
        btmType:{
            type: Object
        },
        domainOption:{
            type: Array
        }
    },
    data() {
        return {
            form: {},
            showSubmitDialog : false,
            option: {
                height: "330px",
                selection: true,
                headerAlign: 'center',
                border: true,
                index: true,
                rowKey: 'id',
                tabs: true,
                menu: false,
                highlightCurrentRow: true,
                column: [
                    {
                        label: '属性英文名称',
                        prop: 'id',
                        align: 'center'
                    }, {
                        label: '属性中文名称',
                        prop: 'name',
                        align: 'center'
                    },
                    {
                        label: "属性类型",
                        prop: "attrDataType",
                        align: 'center'
                    },
                    {
                        label: "默认值",
                        prop: "defaultValue",
                        align: 'center'
                    },
                    {
                        label: "说明",
                        prop: "description",
                        align: 'center'
                    }
                ]
            },
        }
    },
    created() {
        console.log('123');
    },
    methods: {
        closeSubmitDialog(){
            this.showSubmitDialog = false;
        }
    }
}
</script>

<style></style>